<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'styles',

    /*
     * Package.
     */
    'package'   => 'theme-style',

    /*
     * Modules.
     */
    'modules'   => ['styles'],

    
    'styles'       => [
        'model' => [
            'model'                 => \Styles\ThemeStyle\Models\Styles::class,
            'table'                 => 'styles',
            'presenter'             => \Styles\ThemeStyle\Repositories\Presenter\StylesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['css',  'style_name',  'color_1',  'color_2',  'color_3',  'logo_header',  'logo_footer',  'slider_image',  'user_id',  'user_type',  'slug'],
            'translatables'         => [],
            'upload_folder'         => 'theme-style/styles',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Styles',
            'package'   => 'ThemeStyle',
            'module'    => 'Styles',
        ],

    ],
];
