<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateStylesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: styles
         */
        Schema::create('styles', function ($table) {
            $table->increments('id');
            $table->longText('css')->nullable();
            $table->string('style_name', 50)->nullable();
            $table->string('color_1', 50)->nullable();
            $table->string('color_2', 50)->nullable();
            $table->string('color_3', 50)->nullable();
            $table->string('logo_header', 50)->nullable();
            $table->string('logo_footer', 50)->nullable();
            $table->string('slider_image', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('slug', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('styles');
    }
}
