Lavalite package that provides theme-style management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `styles/theme-style`.

    "styles/theme-style": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Styles\ThemeStyle\Providers\ThemeStyleServiceProvider::class,

And also add it to alias

    'ThemeStyle'  => Styles\ThemeStyle\Facades\ThemeStyle::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Styles\\ThemeStyleTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Styles\ThemeStyle\Providers\ThemeStyleServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Styles\ThemeStyle\Providers\ThemeStyleServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Styles\ThemeStyle\Providers\ThemeStyleServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/theme-style/{modulename}

**User**

    http://path-to-route-folder/user/theme-style/{modulename}

**Public**

    http://path-to-route-folder/theme-styles


### API endpoints

**List**

    http://path-to-route-folder/api/user/theme-style/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/theme-style/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/theme-style/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/theme-style/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/theme-style/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/theme-style/{modulename}/{slug}
    METHOD: GET