<?php

namespace Styles\ThemeStyle\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StylesTransformer extends TransformerAbstract
{
    public function transform(\Styles\ThemeStyle\Models\Styles $styles)
    {
        return [
            'id'                => $styles->getRouteKey(),
            'key'               => [
                'public'    => $styles->getPublicKey(),
                'route'     => $styles->getRouteKey(),
            ], 
            'css'               => $styles->css,
            'style_name'        => $styles->style_name,
            'color_1'           => $styles->color_1,
            'color_2'           => $styles->color_2,
            'color_3'           => $styles->color_3,
            'logo_header'       => $styles->logo_header,
            'logo_footer'       => $styles->logo_footer,
            'slider_image'      => $styles->slider_image,
            'user_id'           => $styles->user_id,
            'user_type'         => $styles->user_type,
            'slug'              => $styles->slug,
            'url'               => [
                'public'    => trans_url('theme-style/'.$styles->getPublicKey()),
                'user'      => guard_url('theme-style/styles/'.$styles->getRouteKey()),
            ], 
            'status'            => trans('app.'.$styles->status),
            'created_at'        => format_date($styles->created_at),
            'updated_at'        => format_date($styles->updated_at),
        ];
    }
}