<?php

namespace Styles\ThemeStyle;

use User;

class ThemeStyle
{
    /**
     * $styles object.
     */
    protected $styles;

    /**
     * Constructor.
     */
    public function __construct(\Styles\ThemeStyle\Interfaces\StylesRepositoryInterface $styles)
    {
        $this->styles = $styles;
    }

    /**
     * Returns count of theme-style.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.styles.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->styles->pushCriteria(new \Litepie\Styles\Repositories\Criteria\StylesUserCriteria());
        }

        $styles = $this->styles->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('theme-style::' . $view, compact('styles'))->render();
    }
}
